<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::memory_manager&lt; T &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1memory__manager.html">memory_manager</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="classdlib_1_1memory__manager-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::memory_manager&lt; T &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a34db9666ff171f7261bef5aa97625fad"><td class="memItemLeft" align="right" valign="top"><a id="a34db9666ff171f7261bef5aa97625fad"></a>
typedef <a class="el" href="classdlib_1_1memory__manager__kernel__1.html">memory_manager_kernel_1</a>&lt; T, 0 &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>kernel_1a</b></td></tr>
<tr class="separator:a34db9666ff171f7261bef5aa97625fad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa90b06a6aa5a7b1475841aeea6d37c7a"><td class="memItemLeft" align="right" valign="top"><a id="aa90b06a6aa5a7b1475841aeea6d37c7a"></a>
typedef <a class="el" href="classdlib_1_1memory__manager__kernel__1.html">memory_manager_kernel_1</a>&lt; T, 10 &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>kernel_1b</b></td></tr>
<tr class="separator:aa90b06a6aa5a7b1475841aeea6d37c7a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a81b1c87444251dc230278d25c2bb3e24"><td class="memItemLeft" align="right" valign="top"><a id="a81b1c87444251dc230278d25c2bb3e24"></a>
typedef <a class="el" href="classdlib_1_1memory__manager__kernel__1.html">memory_manager_kernel_1</a>&lt; T, 100 &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>kernel_1c</b></td></tr>
<tr class="separator:a81b1c87444251dc230278d25c2bb3e24"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd81fed30519efa774677c767f456707"><td class="memItemLeft" align="right" valign="top"><a id="acd81fed30519efa774677c767f456707"></a>
typedef <a class="el" href="classdlib_1_1memory__manager__kernel__1.html">memory_manager_kernel_1</a>&lt; T, 1000 &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>kernel_1d</b></td></tr>
<tr class="separator:acd81fed30519efa774677c767f456707"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a013fe774ff657e1da4c1858d143ed42e"><td class="memItemLeft" align="right" valign="top"><a id="a013fe774ff657e1da4c1858d143ed42e"></a>
typedef <a class="el" href="classdlib_1_1memory__manager__kernel__1.html">memory_manager_kernel_1</a>&lt; T, 10000 &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>kernel_1e</b></td></tr>
<tr class="separator:a013fe774ff657e1da4c1858d143ed42e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a383a6d41a824d5260c4125204c62f77e"><td class="memItemLeft" align="right" valign="top"><a id="a383a6d41a824d5260c4125204c62f77e"></a>
typedef <a class="el" href="classdlib_1_1memory__manager__kernel__1.html">memory_manager_kernel_1</a>&lt; T, 100000 &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>kernel_1f</b></td></tr>
<tr class="separator:a383a6d41a824d5260c4125204c62f77e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a80007abb5fd39cb44e23441d0b287f48"><td class="memItemLeft" align="right" valign="top"><a id="a80007abb5fd39cb44e23441d0b287f48"></a>
typedef <a class="el" href="classdlib_1_1memory__manager__kernel__2.html">memory_manager_kernel_2</a>&lt; T, 10 &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>kernel_2a</b></td></tr>
<tr class="separator:a80007abb5fd39cb44e23441d0b287f48"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8d3c6fad21a82f026062bb6028d7e666"><td class="memItemLeft" align="right" valign="top"><a id="a8d3c6fad21a82f026062bb6028d7e666"></a>
typedef <a class="el" href="classdlib_1_1memory__manager__kernel__2.html">memory_manager_kernel_2</a>&lt; T, 100 &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>kernel_2b</b></td></tr>
<tr class="separator:a8d3c6fad21a82f026062bb6028d7e666"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab0e90e6ca67020d4d7e1369e86b7c645"><td class="memItemLeft" align="right" valign="top"><a id="ab0e90e6ca67020d4d7e1369e86b7c645"></a>
typedef <a class="el" href="classdlib_1_1memory__manager__kernel__2.html">memory_manager_kernel_2</a>&lt; T, 1000 &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>kernel_2c</b></td></tr>
<tr class="separator:ab0e90e6ca67020d4d7e1369e86b7c645"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0be79782aa4ebcbf978cbb1e97ee95ff"><td class="memItemLeft" align="right" valign="top"><a id="a0be79782aa4ebcbf978cbb1e97ee95ff"></a>
typedef <a class="el" href="classdlib_1_1memory__manager__kernel__2.html">memory_manager_kernel_2</a>&lt; T, 10000 &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>kernel_2d</b></td></tr>
<tr class="separator:a0be79782aa4ebcbf978cbb1e97ee95ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adf810ba45c106521e5ecc603dbd3e280"><td class="memItemLeft" align="right" valign="top"><a id="adf810ba45c106521e5ecc603dbd3e280"></a>
typedef <a class="el" href="classdlib_1_1memory__manager__kernel__2.html">memory_manager_kernel_2</a>&lt; T, 100000 &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>kernel_2e</b></td></tr>
<tr class="separator:adf810ba45c106521e5ecc603dbd3e280"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6882580a62fbdd637c19043b17c55716"><td class="memItemLeft" align="right" valign="top"><a id="a6882580a62fbdd637c19043b17c55716"></a>
typedef <a class="el" href="classdlib_1_1memory__manager__kernel__3.html">memory_manager_kernel_3</a>&lt; T, 10 &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>kernel_3a</b></td></tr>
<tr class="separator:a6882580a62fbdd637c19043b17c55716"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae4c54eca186adaf6ef2d97aa4529a8af"><td class="memItemLeft" align="right" valign="top"><a id="ae4c54eca186adaf6ef2d97aa4529a8af"></a>
typedef <a class="el" href="classdlib_1_1memory__manager__kernel__3.html">memory_manager_kernel_3</a>&lt; T, 100 &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>kernel_3b</b></td></tr>
<tr class="separator:ae4c54eca186adaf6ef2d97aa4529a8af"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a959f705cb133ac372883858cb0ea63ad"><td class="memItemLeft" align="right" valign="top"><a id="a959f705cb133ac372883858cb0ea63ad"></a>
typedef <a class="el" href="classdlib_1_1memory__manager__kernel__3.html">memory_manager_kernel_3</a>&lt; T, 1000 &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>kernel_3c</b></td></tr>
<tr class="separator:a959f705cb133ac372883858cb0ea63ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2d038d11c7f53979301f8e20609a3960"><td class="memItemLeft" align="right" valign="top"><a id="a2d038d11c7f53979301f8e20609a3960"></a>
typedef <a class="el" href="classdlib_1_1memory__manager__kernel__3.html">memory_manager_kernel_3</a>&lt; T, 10000 &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>kernel_3d</b></td></tr>
<tr class="separator:a2d038d11c7f53979301f8e20609a3960"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4c5bd6bb0aa2a2f6030fc53f8c0395ff"><td class="memItemLeft" align="right" valign="top"><a id="a4c5bd6bb0aa2a2f6030fc53f8c0395ff"></a>
typedef <a class="el" href="classdlib_1_1memory__manager__kernel__3.html">memory_manager_kernel_3</a>&lt; T, 100000 &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>kernel_3e</b></td></tr>
<tr class="separator:a4c5bd6bb0aa2a2f6030fc53f8c0395ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="memory__manager_8h_source.html">memory_manager.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
